%define upstream_name    Crypt-RSA
%define upstream_version 1.99

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    RSA public-key cryptosystem
License:    Artistic
Group:      Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:		Crypt-RSA-1.99-Fix-building-on-Perl-without-dot-in-INC.patch

BuildRequires:  perl(Crypt::Blowfish)
BuildRequires:  perl(Crypt::CBC)
BuildRequires:  perl(Digest::MD2)
BuildRequires:  perl(Digest::SHA1)
BuildRequires:  perl(Convert::ASCII::Armour)
BuildRequires:  perl(Crypt::Primes)
BuildRequires:  perl(Sort::Versions)
BuildRequires:  perl(Tie::EncryptedHash)
BuildArch:      noarch


%description
Crypt::RSA is a pure-perl, cleanroom implementation of the
RSA public-key cryptosystem. It uses Math::Pari(3), a perl
interface to the blazingly fast PARI library, for big
integer arithmetic and number theoretic computations.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%autopatch -p1

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%__make

%check
%__make test

%install
%make_install

%files
%doc ARTISTIC COPYING Changes README TODO META.yml
%{perl_vendorlib}/*
%{_mandir}/*/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.990.0-14.mga10
+ Revision: 2215867
- Mageia 10 Mass Rebuild

* Tue Nov 01 2022 umeabot <umeabot> 1.990.0-13.mga9
+ Revision: 1901148
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.990.0-12.mga8
+ Revision: 1503609
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.990.0-11.mga7
+ Revision: 1282565
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.990.0-10.mga7
+ Revision: 1163722
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 1.990.0-9.mga7
+ Revision: 1154235
- Fix building on Perl without . in @INC

* Sat Jun 18 2016 pterjan <pterjan> 1.990.0-8.mga6
+ Revision: 1024645
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.990.0-7.mga6
+ Revision: 949709
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.990.0-6.mga5
+ Revision: 790255
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.990.0-5.mga5
+ Revision: 746303
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.990.0-4.mga5
+ Revision: 684058
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.990.0-3.mga4
+ Revision: 510466
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.990.0-2.mga3
+ Revision: 364952
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 1.990.0-1.mga1
+ Revision: 40693
- mageia rebuild
- imported package perl-Crypt-RSA


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.990.0-1mdv2010.0
+ Revision: 406954
- rebuild using %%perl_convert_version

* Mon Jun 08 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.99-1mdv2010.0
+ Revision: 383957
- update to new version 1.99

* Wed Jul 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.98-1mdv2009.0
+ Revision: 233035
- update to new version 1.98

* Tue Jul 08 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.97-1mdv2009.0
+ Revision: 232714
- update to new version 1.97

* Mon Jul 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.95-1mdv2009.0
+ Revision: 232323
- update to new version 1.95

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag
    - rebuild
    - rebuild

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 1.58-1mdv2008.1
+ Revision: 121757
- kill (multiple!) definitions of %%buildroot on Pixel's request


* Sun Jan 07 2007 Olivier Thauvin <nanardon@mandriva.org> 1.58-1mdv2007.0
+ Revision: 105020
- 1.58

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Crypt-RSA

* Fri Nov 04 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.57-1mdk
- 1.57

* Sat Jul 30 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.56-1mdk
- 1.56, spec cleanup

* Thu Feb 24 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 1.55-1mdk
- 1.55

* Sun Feb 06 2005 Sylvie Terjan <erinmargault@mandrake.org> 1.50-3mdk
- rebuild for new perl

